package com.ghy.goods.mapper;

import com.ghy.goods.domain.GoodsCategory;

import java.util.Collection;
import java.util.List;

/**
 * @author clunt
 * 商品类别mapper层
 */
public interface GoodsCategoryMapper {


    /**
     * @param category 商品属性
     * @return 成功条数
     */
    int insertCategoryGoods(GoodsCategory category);

    /**
     * @param category 商品属性
     * @return 成功条数
     */
    int updateGoodsCategory(GoodsCategory category);

    /**
     * @param category 商品入参
     * @return 商品集合
     */
    List<GoodsCategory> selectGoodsCategoryList(GoodsCategory category);


    /**
     * @param goodsCategoryId 商品id
     * @return 商品
     */
    GoodsCategory selectById(Long goodsCategoryId);

    /**
     * 批量删除商品信息
     *
     * @param goodsCategoryId 需要删除的数据ID
     * @return 结果
     */
    int deleteGoodsCategoryByIds(Long[] goodsCategoryId);

    /**
     * @param goodsCategoryName 商品名称
     * @return 商品信息
     */
    GoodsCategory selectByGoodsCategoryName(String goodsCategoryName);

    /**
     * @param goodsCategoryCode 商品编码
     * @return 商品信息
     */
    GoodsCategory selectByGoodsCategoryCode(String goodsCategoryCode);

    /**
     * 通过ID批量查询商品类别
     *
     * @param ids 商品类别ID
     * @return
     */
    List<GoodsCategory> selectByIds(Collection<Long> ids);
}
